Blender 2.8 crash when I try to delete this reflection plane
Closed, ResolvedPublic

Description

System Information
Kubuntu 14.04 , GTX 960

Blender Version
Broken: from 2.8 branch

Short description of error
Hi.
Clément at IRC has recommended me to report this, because apparently it is related to depsgraph thing.

http://pasteall.org/blend/index.php?id=48201

Exact steps for others to reproduce the error

Open scene, try to delete selected reflection plane, Blender crash.

Clarification: This scene comes from Classroom scene, I have simplified leaving in it only reflection plane.
I had placed reflection plane in Collection 2 and then I could not delete it anymore because of the crash.

Details

Type
Bug
Sergey Sharybin (sergey) triaged this task as Confirmed priority.Nov 2 2017, 10:02 AM

There is a base in render layer with object set to NULL, which shouldn't be really happening.

Indeed the issue is that a base has a NULL object which shouldn't happen. For the records, simplified file:

I will be happy to look at this issue if the author can find a way to reproduce from scratch in 2.80 or from a 2.79 file. Ideally from a simplified 2.79 file, or even from steps I can follow from scratch in 2.79 all the way to 2.80. Meanwhile I'm closing it since I can't reproduce it.

YAFU (YAFU) added a comment.EditedMar 15 2018, 11:03 PM

Hello.

I was just testing eevee with Classroom scene a while ago. At some point I added the reflection plane and saved the file. Then working with the scene I realized that Blender crash when trying to eliminate the reflection plane. So I cleaned all the classroom scene elements leaving only the problematic reflection plane to share the file here.
Currently I try to recreate the problem with the same scene using current version of Blender 2.8 and everything works fine, Blender does not crash.
So maybe it was just because I was working with a very early stage of Blender 2.8 that time, and something was corrupted by adding the reflection plane.
You feel free to leave this report closed.

Aaron Carlisle (Blendify) changed the task status from Invalid to Resolved.Mar 19 2018, 9:38 PM